<?php
/**
 *      [XCECP] (C) COLNET Inc.
 *      This is NOT a freeware, use is subject to license terms
 */
if(!defined("IN_QKWEB")){exit("Access Denied");}
class ShopAction extends BaseAction{
	function __construct(){
		$GLOBALS['smarty']->setTemplateDir(ROOT_PATH."templates/shop/");
	}
	function index(){
		display();
	}
	function view(){
		$id = getgpc('id');
		if($id && is_numeric($id)){
			load_class('shop');
			$shop = new ShopModel();
			$shopInfo = $shop->getInfo($id);
			if(!$shopInfo){exit('Shop Not Exists');}
			assign('shopInfo',$shopInfo);
			$pageInfo['title'] = $shopInfo['title'];
			assign('pageInfo',$pageInfo);
		}
		display('view.html');
	}
}
?>